'use strict';

var fs = require('fs');
var path = require('path');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var fs__default = /*#__PURE__*/_interopDefault(fs);
var path__default = /*#__PURE__*/_interopDefault(path);

function emptyDir(dir, skip) {
  for (const file of fs__default.default.readdirSync(dir)) {
    if (skip?.includes(file)) {
      continue;
    }
    const abs = path__default.default.resolve(dir, file);
    if (fs__default.default.lstatSync(abs).isDirectory()) {
      emptyDir(abs);
      fs__default.default.rmdirSync(abs);
    } else {
      fs__default.default.unlinkSync(abs);
    }
  }
}

exports.emptyDir = emptyDir;
